diff -urN ooo_SRC680_m157_src.orig/sw/inc/doc.hxx ooo_SRC680_m157_src/sw/inc/doc.hxx
--- ooo_SRC680_m157_src.orig/sw/inc/doc.hxx	2006-02-24 09:48:55.000000000 +0100
+++ ooo_SRC680_m157_src/sw/inc/doc.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -1088,7 +1088,7 @@
 	void UnlockExpFlds()				{ if( nLockExpFld ) --nLockExpFld; }
 	sal_Bool IsExpFldsLocked() const		{ return 0 != nLockExpFld; }
 	SwDocUpdtFld& GetUpdtFlds() const 	{ return *pUpdtFlds; }
-	sal_Bool SetFieldsDirty( sal_Bool b, const SwNode* pChk = 0, sal_uInt32 nLen = 0 );
+	sal_Bool SetFieldsDirty( sal_Bool b, const SwNode* pChk = 0, ULONG nLen = 0 );
 
 	void SetFixFields( sal_Bool bOnlyTimeDate = sal_False,
 						const DateTime* pNewDateTime = 0 );
@@ -1118,7 +1118,7 @@
 		// eine erzeugte Liste aller Felder mit uebergegeben werden.
 		// (ist die Adresse != 0, und der Pointer == 0 wird eine neue
 		// Liste returnt.)
-	void FldsToCalc( SwCalc& rCalc, sal_uInt32 nLastNd = ULONG_MAX,
+	void FldsToCalc( SwCalc& rCalc, ULONG nLastNd = ULONG_MAX,
 					sal_uInt16 nLastCntnt = USHRT_MAX );
 	void FldsToCalc( SwCalc& rCalc, const _SetGetExpFld& rToThisFld );
 	void FldsToExpand( SwHash**& ppTbl, sal_uInt16& rTblSize,
@@ -1556,7 +1556,7 @@
 											const SwTOXBase& rTOX,
 											const SfxItemSet* pSet = 0,
 											sal_Bool bExpand = sal_False );
-	const SwTOXBaseSection* InsertTableOf( sal_uInt32 nSttNd, sal_uInt32 nEndNd,
+	const SwTOXBaseSection* InsertTableOf( ULONG nSttNd, ULONG nEndNd,
 											const SwTOXBase& rTOX,
 											const SfxItemSet* pSet = 0											);
 	const SwTOXBase* GetCurTOX( const SwPosition& rPos ) const;
@@ -1867,7 +1867,7 @@
 	//Einfuegen einer Beschriftung - falls ein FlyFormat erzeugt wird, so
 	// returne dieses.
     SwFlyFrmFmt* InsertLabel( const SwLabelType eType, const String &rTxt, const String& rSeparator,
-					const sal_Bool bBefore, const sal_uInt16 nId, const sal_uInt32 nIdx,
+					const sal_Bool bBefore, const sal_uInt16 nId, const ULONG nIdx,
                     const String& rCharacterStyle,
 					const sal_Bool bCpyBrd = sal_True );
     SwFlyFrmFmt* InsertDrawLabel(
diff -urN ooo_SRC680_m157_src.orig/sw/inc/ndtxt.hxx ooo_SRC680_m157_src/sw/inc/ndtxt.hxx
--- ooo_SRC680_m157_src.orig/sw/inc/ndtxt.hxx	2006-02-24 09:48:55.000000000 +0100
+++ ooo_SRC680_m157_src/sw/inc/ndtxt.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -243,7 +243,7 @@
 	void Replace( const SwIndex& rStart, xub_Unicode cCh );
 	void Replace( const SwIndex& rStart, xub_StrLen nLen, const XubString& rText );
 	void ReplaceTextOnly( xub_StrLen nPos, xub_StrLen nLen, const XubString& rText,
-					const ::com::sun::star::uno::Sequence<long>& rOffsets );
+					const ::com::sun::star::uno::Sequence<sal_Int32>& rOffsets );
 
 	// virtuelle Methoden aus dem CntntNode
 	virtual SwCntntFrm *MakeFrm();
diff -urN ooo_SRC680_m157_src.orig/sw/inc/undobj.hxx ooo_SRC680_m157_src/sw/inc/undobj.hxx
--- ooo_SRC680_m157_src.orig/sw/inc/undobj.hxx	2006-02-24 09:48:55.000000000 +0100
+++ ooo_SRC680_m157_src/sw/inc/undobj.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -1708,7 +1708,7 @@
 	virtual void Repeat( SwUndoIter& rUndoIter );
 
 	void AddChanges( const SwTxtNode& rTNd, xub_StrLen nStart, xub_StrLen nLen,
-		 			::com::sun::star::uno::Sequence <long>& rOffsets );
+		 			::com::sun::star::uno::Sequence <sal_Int32>& rOffsets );
 	BOOL HasData() const {return 0 != pData; }
 };
 
diff -urN ooo_SRC680_m157_src.orig/sw/inc/viewsh.hxx ooo_SRC680_m157_src/sw/inc/viewsh.hxx
--- ooo_SRC680_m157_src.orig/sw/inc/viewsh.hxx	2006-02-24 09:48:55.000000000 +0100
+++ ooo_SRC680_m157_src/sw/inc/viewsh.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -314,7 +314,7 @@
 
 	//Wird intern fuer die Shell gerufen die Druckt. Formatiert die Seiten.
 	void CalcPagesForPrint( sal_uInt16 nMax, SfxProgress* pProgress = 0,
-		const String* pStr = NULL, sal_uInt32 nMergeAct = 0, sal_uInt32 nMergeCnt = 0 );
+		const String* pStr = NULL, ULONG nMergeAct = 0, ULONG nMergeCnt = 0 );
 
 	//All about fields.
 	void UpdateFlds(sal_Bool bCloseDB = sal_False);
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/doc/docedt.cxx ooo_SRC680_m157_src/sw/source/core/doc/docedt.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/doc/docedt.cxx	2006-02-24 09:48:55.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/doc/docedt.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -1839,8 +1839,8 @@
                             pSttPos->nNode.GetNode().GetTxtNode(), pSttPos->nContent,
                             pEndPos->nNode.GetNode().GetTxtNode(), pEndPos->nContent );
 
-	sal_uInt32 nCurrNd = pSttPos->nNode.GetIndex();
-	sal_uInt32 nEndNd = pEndPos->nNode.GetIndex();
+	ULONG nCurrNd = pSttPos->nNode.GetIndex();
+	ULONG nEndNd = pEndPos->nNode.GetIndex();
 
 	if( nCurrNd <= nEndNd )
 	{
@@ -2366,7 +2366,7 @@
 
 	/* #i9185# This whould lead to a segmentation fault if not catched
        above. */
-	sal_uInt32 nNextNd = rEnd.nNode.GetIndex() + 1;
+	ULONG nNextNd = rEnd.nNode.GetIndex() + 1;
 	SwTableNode* pTblNd = aNodes[ nNextNd ]->GetTableNode();
 
 	if( pTblNd && pNd->IsCntntNode() )
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/doc/doclay.cxx ooo_SRC680_m157_src/sw/source/core/doc/doclay.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/doc/doclay.cxx	2006-02-24 09:48:55.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/doc/doclay.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -1330,7 +1330,7 @@
 
 
 SwFlyFrmFmt* SwDoc::InsertLabel( const SwLabelType eType, const String &rTxt, const String& rSeparator,
-			const sal_Bool bBefore, const sal_uInt16 nId, const sal_uInt32 nNdIdx,
+			const sal_Bool bBefore, const sal_uInt16 nId, const ULONG nNdIdx,
             const String& rCharacterStyle,
 			const sal_Bool bCpyBrd )
 {
@@ -1383,7 +1383,7 @@
 			{
 				SwStartNode *pSttNd = GetNodes()[nNdIdx]->GetStartNode();
 				ASSERT( pSttNd, "Kein StartNode in InsertLabel." );
-				sal_uInt32 nNode;
+				ULONG nNode;
 				if( bBefore )
 				{
 					nNode = pSttNd->GetIndex();
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/edit/editsh.cxx ooo_SRC680_m157_src/sw/source/core/edit/editsh.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/edit/editsh.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/edit/editsh.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -960,8 +960,8 @@
         else
             MakeFindRange(DOCPOS_OTHERSTART, DOCPOS_OTHEREND, pCrsr); //extra content
         SwPosition* pSttPos = pCrsr->Start(), *pEndPos = pCrsr->End();
-        sal_uInt32 nCurrNd = pSttPos->nNode.GetIndex();
-        sal_uInt32 nEndNd = pEndPos->nNode.GetIndex();
+        ULONG nCurrNd = pSttPos->nNode.GetIndex();
+        ULONG nEndNd = pEndPos->nNode.GetIndex();
         if( nCurrNd <= nEndNd )
         {
             SwCntntFrm* pCntFrm;
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/fields/docufld.cxx ooo_SRC680_m157_src/sw/source/core/fields/docufld.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/fields/docufld.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/fields/docufld.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -448,7 +448,7 @@
 {
 }
 
-String SwAuthorFieldType::Expand(sal_uInt32 nFmt) const
+String SwAuthorFieldType::Expand(ULONG nFmt) const
 {
 	String sRet;
     SvtUserOptions&  rOpt = SW_MOD()->GetUserOptions();
@@ -558,7 +558,7 @@
 	pDoc = pDocument;
 }
 
-String SwFileNameFieldType::Expand(sal_uInt32 nFmt) const
+String SwFileNameFieldType::Expand(ULONG nFmt) const
 {
 	String aRet;
 	const SwDocShell* pDShell = pDoc->GetDocShell();
@@ -743,7 +743,7 @@
 	pDoc = pDocument;
 }
 
-String SwTemplNameFieldType::Expand(sal_uInt32 nFmt) const
+String SwTemplNameFieldType::Expand(ULONG nFmt) const
 {
 	ASSERT(nFmt >= FF_BEGIN && nFmt < FF_END, "Expand: kein guelt. Fmt!" );
 
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/layout/flycnt.cxx ooo_SRC680_m157_src/sw/source/core/layout/flycnt.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/layout/flycnt.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/layout/flycnt.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -879,7 +879,7 @@
 		{
 			//Jetzt die Entfernung zwischen den beiden Punkten berechnen.
 			//'Delta' X^2 + 'Delta'Y^2 = 'Entfernung'^2
-			ULONG dX = Max( pCnt->Frm().Left(), rPt.X() ) -
+			sal_uInt32 dX = Max( pCnt->Frm().Left(), rPt.X() ) -
 					   Min( pCnt->Frm().Left(), rPt.X() ),
 				  dY = Max( pCnt->Frm().Top(), rPt.Y() ) -
 					   Min( pCnt->Frm().Top(), rPt.Y() );
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/layout/frmtool.cxx ooo_SRC680_m157_src/sw/source/core/layout/frmtool.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/layout/frmtool.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/layout/frmtool.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -2890,7 +2890,7 @@
 			nOldErg = nErg;
 		}
 	}
-	return nErg >= BigInt((ULONG)ULONG_MAX) ? ULONG_MAX : (ULONG)nErg;
+	return nErg >= BigInt(SAL_MAX_UINT32) ? ULONG_MAX : (ULONG)nErg;
 }
 
 /*************************************************************************
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/layout/laycache.cxx ooo_SRC680_m157_src/sw/source/core/layout/laycache.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/layout/laycache.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/layout/laycache.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -278,9 +278,9 @@
                             aIo.OpenFlagRec( bFollow ? 0x01 : 0x00,
                                             bFollow ? 8 : 4 );
                             nNdIdx -= nStartOfContent;
-                            aIo.GetStream() << nNdIdx;
+                            aIo.GetStream() << static_cast<sal_uInt32>(nNdIdx);
                             if( bFollow )
-                                aIo.GetStream() << (ULONG)((SwTxtFrm*)pTmp)->GetOfst();
+                                aIo.GetStream() << static_cast<sal_uInt32>(((SwTxtFrm*)pTmp)->GetOfst());
                             aIo.CloseFlagRec();
                             /*  Close Paragraph Record */
                             aIo.CloseRec( SW_LAYCACHE_IO_REC_PARA );
@@ -319,8 +319,8 @@
                                 aIo.OpenRec( SW_LAYCACHE_IO_REC_TABLE );
                                 aIo.OpenFlagRec( 0, 8 );
                                 nNdIdx -= nStartOfContent;
-                                aIo.GetStream() << nNdIdx
-                                                << nOfst;
+                                aIo.GetStream() << static_cast<sal_uInt32>(nNdIdx)
+                                                << static_cast<sal_uInt32>(nOfst);
                                 aIo.CloseFlagRec();
                                 /* Close Table Record  */
                                 aIo.CloseRec( SW_LAYCACHE_IO_REC_TABLE );
@@ -374,15 +374,15 @@
                                     ::GetUserCall(pAnchoredObj->GetDrawObj());
                             if( pC )
                             {
-                                ULONG nOrdNum = pAnchoredObj->GetDrawObj()->GetOrdNum();
+                                sal_uInt32 nOrdNum = pAnchoredObj->GetDrawObj()->GetOrdNum();
                                 USHORT nPageNum = pPage->GetPhyPageNum();
                                 /* Open Fly Record */
                                 aIo.OpenRec( SW_LAYCACHE_IO_REC_FLY );
                                 aIo.OpenFlagRec( 0, 0 );
                                 aIo.CloseFlagRec();
                                 SwRect &rRct = pFly->Frm();
-                                long nX = rRct.Left() - pPage->Frm().Left();
-                                long nY = rRct.Top() - pPage->Frm().Top();
+                                sal_Int32 nX = rRct.Left() - pPage->Frm().Left();
+                                sal_Int32 nY = rRct.Top() - pPage->Frm().Top();
                                 aIo.GetStream() << nPageNum << nOrdNum
                                                 << nX << nY << rRct.Width()
                                                 << rRct.Height();
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/layout/trvlfrm.cxx ooo_SRC680_m157_src/sw/source/core/layout/trvlfrm.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/layout/trvlfrm.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/layout/trvlfrm.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -1128,7 +1128,7 @@
 {
 	//Jetzt die Entfernung zwischen den beiden Punkten berechnen.
 	//'Delta' X^2 + 'Delta'Y^2 = 'Entfernung'^2
-	ULONG dX = Max( rPt1.X(), rPt2.X() ) -
+	sal_uInt32 dX = Max( rPt1.X(), rPt2.X() ) -
 			   Min( rPt1.X(), rPt2.X() ),
 		  dY = Max( rPt1.Y(), rPt2.Y() ) -
 			   Min( rPt1.Y(), rPt2.Y() );
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/txtnode/txtedt.cxx ooo_SRC680_m157_src/sw/source/core/txtnode/txtedt.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/txtnode/txtedt.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/txtnode/txtedt.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -643,12 +643,12 @@
                 pBreakIt->xBreak->getScriptType( rText, nBegin );
 
         XubString aTmpWord = rText.Copy( nBegin, static_cast<xub_StrLen>(aBound.endPos - nBegin) );
-        const long nScriptEnd = nBegin +
+        const sal_Int32 nScriptEnd = nBegin +
             pBreakIt->xBreak->endOfScript( aTmpWord, 0, nCurrScript );
-        const long nEnd = Min( aBound.endPos, nScriptEnd );
+        const sal_Int32 nEnd = Min( aBound.endPos, nScriptEnd );
 
         // restrict word start to last script change position
-        long nScriptBegin = 0;
+        sal_Int32 nScriptBegin = 0;
         if ( aBound.startPos < nBegin )
         {
             // search from nBegin backwards until the next script change
@@ -668,9 +668,9 @@
                 pBreakIt->xBreak->getScriptType( rText, aBound.startPos );
         XubString aTmpWord = rText.Copy( static_cast<xub_StrLen>(aBound.startPos),
                                          static_cast<xub_StrLen>(aBound.endPos - aBound.startPos) );
-        const long nScriptEnd = aBound.startPos +
+        const sal_Int32 nScriptEnd = aBound.startPos +
             pBreakIt->xBreak->endOfScript( aTmpWord, 0, nCurrScript );
-        const long nEnd = Min( aBound.endPos, nScriptEnd );
+        const sal_Int32 nEnd = Min( aBound.endPos, nScriptEnd );
         nBegin = (xub_StrLen)aBound.startPos;
 	    nLen = (xub_StrLen)(nEnd - nBegin);
     }
@@ -1458,7 +1458,7 @@
 			}
 			xub_StrLen nLen = nEndPos - nStart;
 
-			Sequence <long> aOffsets;
+			Sequence <sal_Int32> aOffsets;
 			String sChgd( rTrans.transliterate( aText, nLang, nStart, nLen,
 													&aOffsets ));
 			if( !aText.Equals( sChgd, nStart, nLen ) )
@@ -1476,12 +1476,12 @@
 
 void SwTxtNode::ReplaceTextOnly( xub_StrLen nPos, xub_StrLen nLen,
 								const XubString& rText,
-								const Sequence<long>& rOffsets )
+								const Sequence<sal_Int32>& rOffsets )
 {
 	aText.Replace( nPos, nLen, rText );
 
 	xub_StrLen nTLen = rText.Len();
-	const long* pOffsets = rOffsets.getConstArray();
+	const sal_Int32* pOffsets = rOffsets.getConstArray();
 	// now look for no 1-1 mapping -> move the indizies!
 	xub_StrLen nI, nMyOff;
 	for( nI = 0, nMyOff = nPos; nI < nTLen; ++nI, ++nMyOff )
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/undo/unovwr.cxx ooo_SRC680_m157_src/sw/source/core/undo/unovwr.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/undo/unovwr.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/undo/unovwr.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -385,7 +385,7 @@
 	String sText;
 	_UndoTransliterate_Data* pNext;
 	SwHistory* pHistory;
-	Sequence <long>* pOffsets;
+	Sequence <sal_Int32>* pOffsets;
 	ULONG nNdIdx;
 	xub_StrLen nStart, nLen;
 
@@ -452,7 +452,7 @@
 
 void SwUndoTransliterate::AddChanges( const SwTxtNode& rTNd,
 					xub_StrLen nStart, xub_StrLen nLen,
-		 			::com::sun::star::uno::Sequence <long>& rOffsets )
+		 			::com::sun::star::uno::Sequence <sal_Int32>& rOffsets )
 {
 	long nOffsLen = rOffsets.getLength();
 	_UndoTransliterate_Data* pNew = new _UndoTransliterate_Data(
@@ -464,17 +464,17 @@
 		pData = pNew;
 	pLastData = pNew;
 
-	const long* pOffsets = rOffsets.getConstArray();
+	const sal_Int32* pOffsets = rOffsets.getConstArray();
 	// where did we need less memory ?
 	// check for 1-1 mappings:
 	BOOL bOneToOne = TRUE;
-	const long* p = pOffsets;
+	const sal_Int32* p = pOffsets;
 	for( long n = 0; n < nOffsLen; ++n, ++p )
 		if( *p != ( nStart + n ))
 		{
 			// create the Offset array
-			pNew->pOffsets = new Sequence <long> ( nLen );
-			long* pIdx = pNew->pOffsets->getArray();
+			pNew->pOffsets = new Sequence <sal_Int32> ( nLen );
+			sal_Int32* pIdx = pNew->pOffsets->getArray();
 			p = pOffsets;
 			long nMyOff, nNewVal = nStart;
 			for( n = 0, nMyOff = nStart; n < nOffsLen; ++p, ++n, ++nMyOff )
@@ -528,12 +528,12 @@
 	SwTxtNode* pTNd = rDoc.GetNodes()[ nNdIdx ]->GetTxtNode();
 	if( pTNd )
 	{
-		Sequence <long> aOffsets( pOffsets ? pOffsets->getLength() : nLen );
+		Sequence <sal_Int32> aOffsets( pOffsets ? pOffsets->getLength() : nLen );
 		if( pOffsets )
 			aOffsets = *pOffsets;
 		else
 		{
-			long* p = aOffsets.getArray();
+			sal_Int32* p = aOffsets.getArray();
 			for( xub_StrLen n = 0; n < nLen; ++n, ++p )
 				*p = n + nStart;
 		}
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/unocore/unoobj2.cxx ooo_SRC680_m157_src/sw/source/core/unocore/unoobj2.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/unocore/unoobj2.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/unocore/unoobj2.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -1025,7 +1025,7 @@
 	SwPaM *_pStartCrsr = &rPam;
 	do
 	{
-		sal_uInt32 nSttNd = _pStartCrsr->GetMark()->nNode.GetIndex(),
+		ULONG nSttNd = _pStartCrsr->GetMark()->nNode.GetIndex(),
 					nEndNd = _pStartCrsr->GetPoint()->nNode.GetIndex();
 			xub_StrLen nSttCnt = _pStartCrsr->GetMark()->nContent.GetIndex(),
 					nEndCnt = _pStartCrsr->GetPoint()->nContent.GetIndex();
@@ -1045,7 +1045,7 @@
 
 			// beim 1.Node traegt der Node die Werte in den GetSet ein (Initial)
 			// alle weiteren Nodes werden zum GetSet zu gemergt
-			for( sal_uInt32 n = nSttNd; n <= nEndNd; ++n )
+			for( ULONG n = nSttNd; n <= nEndNd; ++n )
 			{
 				SwNode* pNd = rPam.GetDoc()->GetNodes()[ n ];
 				switch( pNd->GetNodeType() )
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/unocore/unoobj.cxx ooo_SRC680_m157_src/sw/source/core/unocore/unoobj.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/unocore/unoobj.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/unocore/unoobj.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -844,7 +844,7 @@
 	sal_Bool bError = sal_False;
 	FOREACHUNOPAM_START(&rPam)
 
-		sal_uInt32 nSttNd = PUNOPAM->GetMark()->nNode.GetIndex(),
+		ULONG nSttNd = PUNOPAM->GetMark()->nNode.GetIndex(),
 			  nEndNd = PUNOPAM->GetPoint()->nNode.GetIndex();
 		xub_StrLen nSttCnt = PUNOPAM->GetMark()->nContent.GetIndex(),
 				nEndCnt = PUNOPAM->GetPoint()->nContent.GetIndex();
@@ -862,7 +862,7 @@
 		}
 
 		const SwNodes& rNds = rPam.GetDoc()->GetNodes();
-		for( sal_uInt32 n = nSttNd; n <= nEndNd; ++n )
+		for( ULONG n = nSttNd; n <= nEndNd; ++n )
 		{
 			const SwTxtNode* pNd = rNds[ n ]->GetTxtNode();
 			if( pNd )
diff -urN ooo_SRC680_m157_src.orig/sw/source/core/unocore/unosett.cxx ooo_SRC680_m157_src/sw/source/core/unocore/unosett.cxx
--- ooo_SRC680_m157_src.orig/sw/source/core/unocore/unosett.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/core/unocore/unosett.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -1098,7 +1098,8 @@
 				{
 					INT32 nVal;
 					aValue >>= nVal;
-					aInfo.SetPosFromLeft(Min(MM100_TO_TWIP(nVal), sal_Int32(0xffff)));
+					aInfo.SetPosFromLeft(Min(static_cast<sal_Int32>(MM100_TO_TWIP(nVal)), 
+						sal_Int32(0xffff)));
 				}
 				break;
 				case WID_INTERVAL   :
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/excel/excvfbff.hxx ooo_SRC680_m157_src/sw/source/filter/excel/excvfbff.hxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/excel/excvfbff.hxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/excel/excvfbff.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -46,7 +46,7 @@
 #if defined(BLC) || defined(MAC)
 // BLC will es auf jeden Fall hier
 typedef void				( ValueFormBuffer::*Fkt_rString )( String & );
-typedef ULONG				( ValueFormBuffer::*Fkt_USHORT )( USHORT );
+typedef sal_uInt32			( ValueFormBuffer::*Fkt_USHORT )( USHORT );
 #endif
 
 class ValueFormBuffer
@@ -55,13 +55,13 @@
 #if !defined(BLC) && !defined(MAC)
 // MSC will es auf jeden Fall hier
 		typedef void		( ValueFormBuffer::*Fkt_rString )( String & );
-		typedef ULONG		( ValueFormBuffer::*Fkt_USHORT )( USHORT );
+		typedef sal_uInt32	( ValueFormBuffer::*Fkt_USHORT )( USHORT );
 #endif
 
-		ULONG				*pHandles;		// Array mit Handles...
+		sal_uInt32			*pHandles;		// Array mit Handles...
 		USHORT				nMax;  			// Groesse des Arrays
 		USHORT				nCount;			// Index des naechsten freien Eintrags
-		ULONG				nDefaultHandle;
+		sal_uInt32			nDefaultHandle;
 
 		// nur fuer Excel5
 		static const USHORT nAnzBuiltin;	// bekannte Formate
@@ -74,11 +74,11 @@
 		void				Init( void );
 							// fuer 1. Nutzung
 		void				__NewValueFormat( String &rFormString );
-		ULONG				__GetValueFormat( USHORT nExcIndex );
+		sal_uInt32			__GetValueFormat( USHORT nExcIndex );
 							// fuer n-te Nutzung
 		void				_NewValueFormatX( String &rFormString );
 		void				_NewValueFormat5( String &rFormString );
-		ULONG				_GetValueFormatX5( USHORT nExcIndex );
+		sal_uInt32			_GetValueFormatX5( USHORT nExcIndex );
 	public:
 		ValueFormBuffer( const USHORT nSize = 2048 );
 		~ValueFormBuffer();
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/css1atr.cxx ooo_SRC680_m157_src/sw/source/filter/html/css1atr.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/css1atr.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/css1atr.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -2220,7 +2220,7 @@
 //-----------------------------------------------------------------------
 
 void SwHTMLWriter::OutCSS1_FrmFmtOptions( const SwFrmFmt& rFrmFmt,
-										  ULONG nFrmOpts,
+										  sal_uInt32 nFrmOpts,
 										  const SdrObject *pSdrObj,
 										  const SfxItemSet *pItemSet )
 {
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlatr.cxx ooo_SRC680_m157_src/sw/source/filter/html/htmlatr.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlatr.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/htmlatr.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -2857,7 +2857,7 @@
 }
 
 
-ULONG SwHTMLWriter::ToPixel( ULONG nVal ) const
+sal_uInt32 SwHTMLWriter::ToPixel( sal_uInt32 nVal ) const
 {
 	if( Application::GetDefaultDevice() && nVal )
 	{
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlcss1.cxx ooo_SRC680_m157_src/sw/source/filter/html/htmlcss1.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlcss1.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/htmlcss1.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -183,7 +183,7 @@
 	ASSERT( i<nPageDescs, "Seitenvorlage nicht gefunden" );
 }
 
-SwCSS1Parser::SwCSS1Parser( SwDoc *pD, ULONG aFHeights[7], const String& rBaseURL, BOOL bNewDoc ) :
+SwCSS1Parser::SwCSS1Parser( SwDoc *pD, sal_uInt32 aFHeights[7], const String& rBaseURL, BOOL bNewDoc ) :
     SvxCSS1Parser( pD->GetAttrPool(), rBaseURL, MM50/2,
 				   (USHORT*)&aItemIds, sizeof(aItemIds) / sizeof(USHORT) ),
 	nDropCapCnt( 0 ), bIsNewDoc( bNewDoc ), pDoc( pD ),
@@ -1213,7 +1213,7 @@
 	return TRUE;
 }
 
-ULONG SwCSS1Parser::GetFontHeight( USHORT nSize ) const
+sal_uInt32 SwCSS1Parser::GetFontHeight( USHORT nSize ) const
 {
 	return aFontHeights[ nSize>6 ? 6 : nSize ];
 }
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlfly.cxx ooo_SRC680_m157_src/sw/source/filter/html/htmlfly.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlfly.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/htmlfly.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -610,7 +610,7 @@
 void SwHTMLWriter::OutFrmFmtOptions( const SwFrmFmt &rFrmFmt,
 									 const String& rAlternateTxt,
 									 ByteString &rEndTags,
-									 ULONG nFrmOpts )
+									 sal_uInt32 nFrmOpts )
 {
 	ByteString sOut;
 	const SfxPoolItem* pItem;
@@ -881,7 +881,7 @@
 
 Writer& OutHTML_Image( Writer& rWrt, const SwFrmFmt &rFrmFmt,
 					   const String &rGrfName, const String& rAlternateTxt,
-					   const Size &rRealSize, ULONG nFrmOpts,
+					   const Size &rRealSize, sal_uInt32 nFrmOpts,
 					   const sal_Char *pMarkType,
 					   const ImageMap *pAltImgMap )
 {
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlforw.cxx ooo_SRC680_m157_src/sw/source/filter/html/htmlforw.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlforw.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/htmlforw.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -202,7 +202,7 @@
 {
     // die Form, zu der das Control gehoert
     Reference< container::XIndexContainer > xFormComps;
-    sal_uInt32 nNdIdx;              // der Node, in dem es verankert ist
+    ULONG nNdIdx;              		// der Node, in dem es verankert ist
     xub_StrLen nCount;              // wie viele Controls sind in dem Node
 
     HTMLControl( const Reference< container::XIndexContainer > & rForm,
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlnum.cxx ooo_SRC680_m157_src/sw/source/filter/html/htmlnum.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlnum.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/htmlnum.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -693,7 +693,7 @@
 {
 	pNextNumRuleInfo = 0;
 
-	sal_uInt32 nPos = pCurPam->GetPoint()->nNode.GetIndex() + 1;
+	ULONG nPos = pCurPam->GetPoint()->nNode.GetIndex() + 1;
 
 	sal_Bool bDone = sal_False;
 	sal_Bool bTable = sal_False;
@@ -768,7 +768,7 @@
 				bStartValue = sal_True;
 				if( rInfo.GetDepth() > 1 )
 				{
-					sal_uInt32 nPos =
+					ULONG nPos =
 						rWrt.pCurPam->GetPoint()->nNode.GetIndex() + 1;
 					do
 					{
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlsect.cxx ooo_SRC680_m157_src/sw/source/filter/html/htmlsect.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/htmlsect.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/htmlsect.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -480,7 +480,7 @@
 	const SwFmtCntnt& rFlyCntnt = pHdFtFmt->GetCntnt();
 	const SwNodeIndex& rCntntStIdx = *rFlyCntnt.GetCntntIdx();
 
-	sal_uInt32 nPrvNxtIdx;
+	ULONG nPrvNxtIdx;
 	if( bHeader )
 	{
 		nPrvNxtIdx = pDoc->GetNodes()[rCntntStIdx]->EndOfSectionIndex()-1;
@@ -855,7 +855,7 @@
 /*  */
 
 void SwHTMLParser::MovePageDescAttrs( SwNode *pSrcNd,
-									  sal_uInt32 nDestIdx,
+									  ULONG nDestIdx,
 									  sal_Bool bFmtBreak )
 {
 	SwCntntNode* pDestCntntNd =
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/htmltabw.cxx ooo_SRC680_m157_src/sw/source/filter/html/htmltabw.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/htmltabw.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/htmltabw.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -389,7 +389,7 @@
 	sal_Bool bHead = sal_False;
 	if( pSttNd )
 	{
-		sal_uInt32 nNdPos = pSttNd->GetIndex()+1;
+		ULONG nNdPos = pSttNd->GetIndex()+1;
 
 		// Art der Zelle (TD/TH) bestimmen
 		SwNode* pNd;
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/svxcss1.cxx ooo_SRC680_m157_src/sw/source/filter/html/svxcss1.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/svxcss1.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/svxcss1.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -1040,7 +1040,7 @@
 	aBorderLine.SetDistance( aWidths[i+3] );
 }
 
-ULONG SvxCSS1Parser::GetFontHeight( USHORT nSize ) const
+sal_uInt32 SvxCSS1Parser::GetFontHeight( USHORT nSize ) const
 {
 	USHORT nHeight;
 
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/swcss1.hxx ooo_SRC680_m157_src/sw/source/filter/html/swcss1.hxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/swcss1.hxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/swcss1.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -92,13 +92,13 @@
 							  SfxItemSet& rItemSet,
 							  SvxCSS1PropertyInfo& rPropInfo );
 public:
-    SwCSS1Parser( SwDoc *pDoc, ULONG aFHeight[7], const String& rBaseURL, BOOL bNewDoc );
+    SwCSS1Parser( SwDoc *pDoc, sal_uInt32 aFHeight[7], const String& rBaseURL, BOOL bNewDoc );
 	virtual ~SwCSS1Parser();
 
 	virtual BOOL ParseStyleSheet( const String& rIn );
 
 	// Die Font-Hoehe fuer eine bestimmte Font-Groesse (0-6) ermitteln
-	virtual ULONG GetFontHeight( USHORT nSize ) const;
+	virtual sal_uInt32 GetFontHeight( USHORT nSize ) const;
 
 	// Die aktuelle Font-Liste holen (auch 0 ist erlaubt)
 	virtual const FontList *GetFontList() const;
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/swhtml.hxx ooo_SRC680_m157_src/sw/source/filter/html/swhtml.hxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/swhtml.hxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/swhtml.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -612,7 +612,7 @@
 	void GetULSpaceFromContext( sal_uInt16 &rUpper, sal_uInt16 &rLower ) const;
 
 
-	void MovePageDescAttrs( SwNode *pSrcNd, sal_uInt32 nDestIdx, sal_Bool bFmtBreak );
+	void MovePageDescAttrs( SwNode *pSrcNd, ULONG nDestIdx, sal_Bool bFmtBreak );
 
 	// Behandlung von Tags auf Absatz-Ebene
 
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/wrthtml.cxx ooo_SRC680_m157_src/sw/source/filter/html/wrthtml.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/wrthtml.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/wrthtml.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -262,7 +262,7 @@
 	delete pNumRuleInfo;
 }
 
-sal_uInt32 SwHTMLWriter::WriteStream()
+ULONG SwHTMLWriter::WriteStream()
 {
 	// neue Konfiguration setzen
 	SvxHtmlOptions* pHtmlOptions = SvxHtmlOptions::Get();
@@ -631,7 +631,7 @@
 	return pCol;
 }
 
-sal_Bool lcl_html_IsMultiColStart( const SwHTMLWriter& rHTMLWrt, sal_uInt32 nIndex )
+sal_Bool lcl_html_IsMultiColStart( const SwHTMLWriter& rHTMLWrt, ULONG nIndex )
 {
 	sal_Bool bRet = sal_False;
 	const SwSectionNode *pSectNd =
@@ -647,7 +647,7 @@
 	return bRet;
 }
 
-sal_Bool lcl_html_IsMultiColEnd( const SwHTMLWriter& rHTMLWrt, sal_uInt32 nIndex )
+sal_Bool lcl_html_IsMultiColEnd( const SwHTMLWriter& rHTMLWrt, ULONG nIndex )
 {
 	sal_Bool bRet = sal_False;
 	const SwEndNode *pEndNd = rHTMLWrt.pDoc->GetNodes()[nIndex]->GetEndNode();
@@ -1011,8 +1011,8 @@
 
 sal_uInt16 SwHTMLWriter::OutHeaderAttrs()
 {
-	sal_uInt32 nIdx = pCurPam->GetPoint()->nNode.GetIndex();
-	sal_uInt32 nEndIdx = pCurPam->GetMark()->nNode.GetIndex();
+	ULONG nIdx = pCurPam->GetPoint()->nNode.GetIndex();
+	ULONG nEndIdx = pCurPam->GetMark()->nNode.GetIndex();
 
 	SwTxtNode *pTxtNd = 0;
 	while( nIdx<=nEndIdx &&
@@ -1086,7 +1086,7 @@
 	//{
 		// In Nicht-HTML-Dokumenten wird die erste gesetzte Seitenvorlage
 		// exportiert und wenn keine gesetzt ist die Standard-Vorlage
-		sal_uInt32 nNodeIdx = pCurPam->GetPoint()->nNode.GetIndex();
+		ULONG nNodeIdx = pCurPam->GetPoint()->nNode.GetIndex();
 
 		while( nNodeIdx < pDoc->GetNodes().Count() )
 		{
@@ -1469,8 +1469,8 @@
 
 // Struktur speichert die aktuellen Daten des Writers zwischen, um
 // einen anderen Dokument-Teil auszugeben, wie z.B. Header/Footer
-HTMLSaveData::HTMLSaveData( SwHTMLWriter& rWriter, sal_uInt32 nStt,
-							sal_uInt32 nEnd, sal_Bool bSaveNum,
+HTMLSaveData::HTMLSaveData( SwHTMLWriter& rWriter, ULONG nStt,
+							ULONG nEnd, sal_Bool bSaveNum,
 	   					 	const SwFrmFmt *pFrmFmt	)
 	: rWrt( rWriter ),
 	pOldPam( rWrt.pCurPam ), pOldEnd( rWrt.GetEndPaM() ),
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/html/wrthtml.hxx ooo_SRC680_m157_src/sw/source/filter/html/wrthtml.hxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/html/wrthtml.hxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/html/wrthtml.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -234,7 +234,7 @@
 	void CollectLinkTargets();
 
 protected:
-	sal_uInt32 WriteStream();
+	ULONG WriteStream();
 
 public:
 #if defined(MAC) || defined(UNX)
@@ -366,7 +366,7 @@
 	void OutHyperlinkHRefValue( const String& rURL );
 
 	// gebe die evt. an der akt. Position stehenden FlyFrame aus.
-	sal_Bool OutFlyFrm( sal_uInt32 nNdIdx, xub_StrLen nCntntIdx,
+	sal_Bool OutFlyFrm( ULONG nNdIdx, xub_StrLen nCntntIdx,
 						sal_uInt8 nPos, HTMLOutContext *pContext = 0 );
 	void OutFrmFmt( sal_uInt8 nType, const SwFrmFmt& rFmt,
 					const SdrObject *pSdrObj );
@@ -562,7 +562,7 @@
 	sal_Bool bOldOutFlyFrame : 1;
 	const SwFlyFrmFmt* pOldFlyFmt;
 
-	HTMLSaveData( SwHTMLWriter&, sal_uInt32 nStt, sal_uInt32 nEnd,
+	HTMLSaveData( SwHTMLWriter&, ULONG nStt, ULONG nEnd,
 				  sal_Bool bSaveNum=sal_True,
 		   		  const SwFrmFmt *pFrmFmt=0	);
 	~HTMLSaveData();
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/xml/wrtxml.cxx ooo_SRC680_m157_src/sw/source/filter/xml/wrtxml.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/xml/wrtxml.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/xml/wrtxml.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -533,17 +533,17 @@
 	return 0;
 }
 
-sal_uInt32 SwXMLWriter::WriteStorage()
+ULONG SwXMLWriter::WriteStorage()
 {
 	return _Write();
 }
 
-sal_uInt32 SwXMLWriter::WriteMedium( SfxMedium& aTargetMedium )
+ULONG SwXMLWriter::WriteMedium( SfxMedium& aTargetMedium )
 {
 	return _Write( &aTargetMedium );
 }
 
-sal_uInt32 SwXMLWriter::Write( SwPaM& rPaM, SfxMedium& rMed,
+ULONG SwXMLWriter::Write( SwPaM& rPaM, SfxMedium& rMed,
 							   const String* pFileName )
 {
 	return IsStgWriter()
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/xml/wrtxml.hxx ooo_SRC680_m157_src/sw/source/filter/xml/wrtxml.hxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/xml/wrtxml.hxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/xml/wrtxml.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -58,8 +58,8 @@
 	sal_uInt32 _Write( SfxMedium* pTargetMedium = NULL );
 
 protected:
-	virtual sal_uInt32 WriteStorage();
-	virtual sal_uInt32 WriteMedium( SfxMedium& aTargetMedium );
+	virtual ULONG WriteStorage();
+	virtual ULONG WriteMedium( SfxMedium& aTargetMedium );
 
 public:
 
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmlimp.cxx ooo_SRC680_m157_src/sw/source/filter/xml/xmlimp.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmlimp.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/xml/xmlimp.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -827,7 +827,7 @@
 		if( !pPos->nContent.GetIndex() )
 		{
 			SwTxtNode* pCurrNd;
-			sal_uInt32 nNodeIdx = pPos->nNode.GetIndex();
+			ULONG nNodeIdx = pPos->nNode.GetIndex();
 			pDoc = pPaM->GetDoc();
 
 			DBG_ASSERT( pPos->nNode.GetNode().IsCntntNode(),
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmlimpit.cxx ooo_SRC680_m157_src/sw/source/filter/xml/xmlimpit.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmlimpit.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/xml/xmlimpit.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -788,7 +788,7 @@
                         }
                         else if( -1 != aToken.indexOf( sal_Unicode('%') ) )
                         {
-                            long nPrc = 50;
+                            sal_Int32 nPrc = 50;
                             if( rUnitConverter.convertPercent( nPrc, aToken ) )
                             {
                                 if( !bHori )
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmlithlp.cxx ooo_SRC680_m157_src/sw/source/filter/xml/xmlithlp.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmlithlp.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/xml/xmlithlp.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -198,7 +198,7 @@
     rWidth = 0;
     rNamedWidth = USHRT_MAX;
 
-    long nTemp;
+    sal_Int32 nTemp;
     while( aTokens.getNextToken( aToken ) && aToken.getLength() != 0 )
     {
         if( !rHasWidth &&
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmltble.cxx ooo_SRC680_m157_src/sw/source/filter/xml/xmltble.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmltble.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/xml/xmltble.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -720,7 +720,7 @@
 				pColumn->SetWidthOpt( (sal_uInt16)nColAbsWidth, sal_False );
 			}
 
-			sal_uInt32 nExpPos = 0;
+			ULONG nExpPos = 0;
 			if( rExpCols.Seek_Entry( pColumn, &nExpPos ) )
 			{
 				pColumn->SetStyleName(
diff -urN ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmltexti.cxx ooo_SRC680_m157_src/sw/source/filter/xml/xmltexti.cxx
--- ooo_SRC680_m157_src.orig/sw/source/filter/xml/xmltexti.cxx	2006-02-24 09:48:56.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/filter/xml/xmltexti.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -190,7 +190,7 @@
 };
 static void lcl_putHeightAndWidth ( SfxItemSet &rItemSet,
 		sal_Int32 nHeight, sal_Int32 nWidth,
-		sal_Int32 *pTwipHeight=0, sal_Int32 *pTwipWidth=0 )
+		long *pTwipHeight=0, long *pTwipWidth=0 )
 {
 	if( nWidth > 0 && nHeight > 0 )
 	{
diff -urN ooo_SRC680_m157_src.orig/sw/source/ui/inc/view.hxx ooo_SRC680_m157_src/sw/source/ui/inc/view.hxx
--- ooo_SRC680_m157_src.orig/sw/source/ui/inc/view.hxx	2006-02-24 09:48:57.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/ui/inc/view.hxx	2006-02-24 09:49:18.000000000 +0100
@@ -435,7 +435,7 @@
 
 	void                    GotFocus() const;
 	virtual SdrView*		GetDrawView() const;
-	virtual	BOOL			HasUIFeature( ULONG nFeature );
+	virtual	BOOL			HasUIFeature( sal_uInt32 nFeature );
 	virtual	void			ShowCursor( FASTBOOL bOn = TRUE );
 	virtual ErrCode			DoVerb( long nVerb );
 
diff -urN ooo_SRC680_m157_src.orig/sw/source/ui/shells/tabsh.cxx ooo_SRC680_m157_src/sw/source/ui/shells/tabsh.cxx
--- ooo_SRC680_m157_src.orig/sw/source/ui/shells/tabsh.cxx	2006-02-24 09:48:57.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/ui/shells/tabsh.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -882,7 +882,7 @@
 
 					if( pItem && 0 != ((SvxNumberInfoItem*)pItem)->GetDelCount() )
 					{
-						const ULONG* pDelArr = ((SvxNumberInfoItem*)
+						const sal_uInt32* pDelArr = ((SvxNumberInfoItem*)
 														pItem)->GetDelArray();
 
 						for ( USHORT i = 0; i < ((SvxNumberInfoItem*)pItem)->GetDelCount(); i++ )
diff -urN ooo_SRC680_m157_src.orig/sw/source/ui/utlui/content.cxx ooo_SRC680_m157_src/sw/source/ui/utlui/content.cxx
--- ooo_SRC680_m157_src.orig/sw/source/ui/utlui/content.cxx	2006-02-24 09:48:57.000000000 +0100
+++ ooo_SRC680_m157_src/sw/source/ui/utlui/content.cxx	2006-02-24 09:49:18.000000000 +0100
@@ -2308,7 +2308,7 @@
 
 
 sal_Bool  SwContentTree::NotifyMoving( SvLBoxEntry*  pTarget,
-		SvLBoxEntry*  pEntry, SvLBoxEntry*& , sal_uInt32& )
+		SvLBoxEntry*  pEntry, SvLBoxEntry*& , ULONG& )
 {
 	if(!bDocChgdInDragging)
 	{
@@ -2348,7 +2348,7 @@
 
 
 sal_Bool  SwContentTree::NotifyCopying( SvLBoxEntry*  pTarget,
-		SvLBoxEntry*  pEntry, SvLBoxEntry*& , sal_uInt32& )
+		SvLBoxEntry*  pEntry, SvLBoxEntry*& , ULONG& )
 {
 	if(!bDocChgdInDragging)
 	{
